org.apache.drill.jdbc

## Class SqlTimeoutException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.sql.SQLException
      - - java.sql.SQLTransientException
        - - java.sql.SQLTimeoutException
          - - org.apache.drill.jdbc.SqlTimeoutException

All Implemented Interfaces:
  Serializable, Iterable<Throwable>

    public class SqlTimeoutException
    extends SQLTimeoutException

Indicates that an operation timed out. This is not an error; you can retry the operation.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SqlTimeoutException(long timeoutValueInSeconds)`

### Method Summary

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### SqlTimeoutException

    public SqlTimeoutException(long timeoutValueInSeconds)